<?php

/*
**************************************************
Interface: NullCache_Strategy.php
**************************************************
Author: Tsiavos Chris <jaames@freemail.gr>
Date: October 2004
**************************************************/

/**
*Includes the CachingStrategy Inteface
*/
require_once("CachingStrategy_Interface.php");

/**
*Provides no caching strategy to the class. 
*Provides no caching strategy to the class. It sould be used when we dont want to cache the generated image
*@interface
*@author Tsiavos Chris <jaames@freemail.gr>
*@license http://opensource.org/licenses/gpl-license.php GNU Public License 
*/
class NullCache_Strategy implements CachingStrategy_Interface {
	
	public function Initialize($CacheImageType,$CacheForMinutes,$Params) { return 0; }
	
	public function CacheImage() { return; }

}

?>